SoVRMLCoordinate(3)

NAME
SoVRMLCoordinate - The SoVRMLCoordinate class is used to define 3D coordinates for shapes.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLCoordinate.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoVRMLCoordinate (void)
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void getBoundingBox (SoGetBoundingBoxAction *action)
virtual void callback (SoCallbackAction *action)
virtual void pick (SoPickAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoMFVec3f point

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoVRMLCoordinate ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLCoordinate class is used to define 3D coordinates for shapes. The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

Coordinate {
  exposedField MFVec3f point  []      # (-inf, inf)
}

This node defines a set of 3D coordinates to be used in the coord field of vertex-based geometry nodes including SoVRMLIndexedFaceSet, SoVRMLIndexedLineSet, and SoVRMLPointSet.

Constructor & Destructor Documentation

  SoVRMLCoordinate::SoVRMLCoordinate (void)
Constructor.

  SoVRMLCoordinate::~SoVRMLCoordinate () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVRMLCoordinate::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLCoordinate::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoVRMLCoordinate::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLCoordinate::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoVRMLCoordinate::initClass (void) [static]

  void SoVRMLCoordinate::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoVRMLCoordinate::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoVRMLCoordinate::getBoundingBox (SoGetBoundingBoxAction * action) [virtual]
Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculate their bounding box also override this method to change the relevant state variables.

Reimplemented from SoNode.

  void SoVRMLCoordinate::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  void SoVRMLCoordinate::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

Member Data Documentation

  SoMFVec3f SoVRMLCoordinate::point
The coordinates. Empty by default.

Author

Generated automatically by Doxygen for Coin from the source code.